Waits for signals, with a timeout

- « pcntl_sigprocmask

- pcntl_sigwaitinfo »

- PHP Manual
- PCNTL Functions
- Waits for signals, with a timeout

# pcntl_sigtimedwait

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

pcntl_sigtimedwait — Waits for signals, with a timeout

### Description

pcntl_sigtimedwait(
array `$signals`,
array `&$info` = [],
int `$seconds` = 0,
int `$nanoseconds` = 0
): int|false

The pcntl_sigtimedwait() function operates in exactly the same way as pcntl_sigwaitinfo() except that it takes two additional parameters, `seconds` and `nanoseconds`, which enable an upper bound to be placed on the time for which the script is suspended.

### Parameters

`signals`

  Array of signals to wait for.

`info`

  The `info` is set to an array containing information about the signal. See pcntl_sigwaitinfo().

`seconds`

  Timeout in seconds.

`nanoseconds`

  Timeout in nanoseconds.

### Return Values

pcntl_sigtimedwait() returns a signal number on success, or `false` on failure.

### See Also

- pcntl_sigprocmask() - Sets and retrieves blocked signals
- pcntl_sigwaitinfo() - Waits for signals